<div class="cover-container d-flex h-100 mx-auto flex-column">
  <main class="inner cover h-100 main-wrap" role="main">
    <div class="d-flex align-items-stretch h-100">
      <div
        class="col mobile-chat-win d-flex normal-screen flex-lg-nowrap flex-xl-row after-call-attend-full-screen"
      >
        <div class="card card-right after-call">
          <div class="card-header mt-auto">
            <a href="javascript:void(0);">
              <img
                class="mb-3"
                src="assets/images/logo.png"
                width="170"
                alt=""
              />
            </a>
            <div class="media">
              <div class="media-body">
                <div class="img-middle">
                  <h5 class="mt-0 card-title">Room name: {{ roomName }}</h5>
                </div>
              </div>

              <div *ngIf="isNotify" class="screen-notification text-center">
                {{ notificationData.notificationMsg }}
              </div>

              <div class="ml-auto btn-set-resolution">
                <div
                  *ngIf="streamStatus.video == true"
                  href="javascript:void(0)"
                  onclick="$('.call-quality').slideToggle();$('.copy-link,.cmn-setting-list').slideUp()"
                  class="cmn-transition cstm-pointer pos-rel cmn-setting text-right"
                  title="click to set call quality"
                  style="z-index: 4;"
                >
                  <a href="javascript:void(0)" title="set call quality">
                    <i class="text-white fa fa-eye fa-2x"></i
                  ></a>
                  <div class="call-quality" style="display: none;">
                    <a
                      (click)="changeBandWidth('high')"
                      href="javascript:void(0)"
                      [class.active]="videoQuality == 'high'"
                      >High</a
                    >
                    <a
                      (click)="changeBandWidth('medium')"
                      href="javascript:void(0)"
                      [class.active]="videoQuality == 'medium'"
                      >Medium</a
                    >
                    <a
                      (click)="changeBandWidth('low')"
                      href="javascript:void(0)"
                      [class.active]="videoQuality == 'low'"
                      >Low</a
                    >
                  </div>
                </div>
              </div>

              <!-- <div *ngIf="countRemote" class="ml-auto btn-set-resolution">
                <div href="javascript:void(0)" onclick="$('.call-quality').slideToggle();$('.copy-link,.cmn-setting-list').slideUp()" class="cmn-transition cstm-pointer pos-rel cmn-setting text-right" title="click to set Audio quality" style="z-index: 4;">
                  <a href="javascript:void(0)" title="set Audio quality"> <i class="text-white fa fa-eye fa-2x"></i></a>
                  <div class="call-quality" style="display:none;">
                    <a (click)="setAudioBandwidthForAll(80000)" href="javascript:void(0)" [class.active]="videoQuality=='high'">80000</a>
                    <a (click)="setAudioBandwidthForAll(40000)" href="javascript:void(0)" [class.active]="videoQuality=='medium'">40000</a>
                    <a (click)="setAudioBandwidthForAll(10000)" href="javascript:void(0)" [class.active]="videoQuality=='low'">10000</a>
		            </div>
		          </div>
              </div> -->
            </div>
          </div>

          <div *ngIf="streams.length" class="card-block h-100 zIndexOne">
            <div
              id="callScreen "
              class="call-screen d-flex justify-content-center align-items-center"
            >
              <img
                *ngIf="isGalleryView"
                src="assets/images/default_user.png"
                class="default-img"
                alt=""
              />
              <img
                *ngIf="!isGalleryView"
                [src]="streams[0].data.profilePath"
                class="default-img"
                [hidden]="streams[0].data.streamStatus[streams[0].id].video"
                alt=""
              />
              <video
                *ngIf="!isGalleryView"
                style="width: 1920px; height: auto;"
                playsinline="true"
                autoplay
                [hidden]="!streams[0].data.streamStatus[streams[0].id].video"
                [muted]="streams[0].type == 'local'"
                [srcObject]="streams[0]"
                [controls]="false"
              ></video>
            </div>
          </div>

          <div
            *ngIf="streams.length"
            class="call-group normal-call-group zIndexFour"
          >
            <div
              *ngIf="!isGalleryView"
              [hidden]="!countRemote"
              class="content"
              id="call-group-user"
            >
              <div
                class="call-group-user d-flex justify-content-md-center justify-content-start align-items-center"
              >
                <div
                  *ngFor="let stream of streams; let i = index"
                  class="user-thumb"
                >
                  <div
                    class="img-thumb"
                    [class.bordered]="stream.id === speakerId"
                  >
                    <img
                      (click)="
                        !(
                          stream.type == 'local' &&
                          stream.data.firststreamid != stream.id
                        ) && moveLarge(stream.id)
                      "
                      [hidden]="stream.data.streamStatus[stream.id].video"
                      [src]="stream.data.profilePath"
                      class="thumb"
                      alt=""
                    />

                    <video
                      (click)="
                        stream.type == 'local' &&
                        stream.data.firststreamid != stream.id
                          ? ''
                          : moveLarge(stream.id)
                      "
                      [hidden]="!stream.data.streamStatus[stream.id].video"
                      [muted]="stream.type == 'local'"
                      [id]="stream.id"
                      [srcObject]="stream"
                      playsinline="true"
                      [controls]="false"
                      autoplay
                      loop
                      class="thumb"
                    ></video>

                    <div
                      class="no-mic no-mic-2 d-flex align-items-center justify-content-end"
                    >
                      <a
                        *ngIf="!stream.data.streamStatus[stream.id].audio"
                        href="javascript:void(0);"
                        class="ml-1 cursor-default"
                        title="Audio Mute"
                      >
                        <img
                          src="assets/images/theatre-mic2-white.png"
                          width="15"
                          height="15"
                          alt=""
                        />
                      </a>
                      <a
                        *ngIf="!stream.data.streamStatus[stream.id].video"
                        href="javascript:void(0);"
                        class="ml-1 cursor-default"
                        title="Video Pause"
                        ><img src="assets/images/icon-camra-white.png" alt="" />
                      </a>
                      <a
                        *ngIf="i != 0"
                        [hidden]="
                          stream.type == 'local' &&
                          stream.data.firststreamid != stream.id
                        "
                        (click)="moveLarge(stream.id)"
                        href="javascript:void(0);"
                        class="ml-2"
                        title="Maximize"
                      >
                        <img
                          src="assets/images/icon-fullscreen-white.png"
                          width="15"
                          height="15"
                          alt=""
                        />
                      </a>
                      <!-- end hide this icon in case of share screen of local user -->
                    </div>
                  </div>
                  <div
                    [ngClass]="{
                      'crsr-pointer': stream.data.userId == sessionUser.userId
                    }"
                    class="group-user-name"
                    (click)="
                      stream.userId == sessionUser.userId
                        ? openUserName(stream.data.displayName)
                        : false
                    "
                  >
                    <a
                      [title]="
                        stream.data.userId == sessionUser.userId
                          ? 'change name'
                          : ''
                      "
                    >
                      {{ getDisplayname(stream) }}
                    </a>
                    <i
                      class="fa fa-pencil edit-name"
                      *ngIf="stream.userId == sessionUser.userId"
                    ></i>
                  </div>
                </div>
              </div>
            </div>
            <div
              id="floating-buttons"
              class="list-feature-3 d-flex justify-content-center align-items-center"
            >
              <a
                href="javascript:void(0);"
                *ngIf="countRemote && devices.video.length"
                title="Switch Device"
                data-toggle="modal"
                data-target="#deviceSwitchModal"
                role="button"
                class="cmn-transition2"
                onclick="$('.cmn-setting-list').slideUp();$('.copy-link').slideUp();"
                (click)="setSelectedLabel()"
              >
                <img src="assets/images/icon-arrow.png" alt="" />
              </a>

              <a
                [ngClass]="{ 'active-chat': screenId }"
                *ngIf="countRemote && platform.mobile === false"
                (click)="shareScreen()"
                href="javascript:void(0)"
                class="cmn-transition2"
                title="{{ screenId ? 'Remove Screen' : 'Share Screen' }}"
              >
                <img alt="" src="assets/images/share_screen.png" />
              </a>

              <a
                [ngClass]="{ 'active-chat': streamStatus.video }"
                *ngIf="devices.video.length"
                (click)="addRemoveVideo()"
                href="javascript:void(0)"
                class="cmn-transition2"
                title="Camera ON/OFF"
              >
                <img
                  alt=""
                  src="assets/images/camera-white.png"
                  *ngIf="streamStatus.video"
                />
                <img
                  alt=""
                  src="assets/images/camera-white-mute.png"
                  *ngIf="!streamStatus.video"
                />
              </a>
              <a
                (click)="endCall()"
                href="javascript:void(0)"
                class="cmn-transition-endcall"
                title="End Call"
              >
                <img alt="" src="assets/images/end-call.png" />
              </a>
              <a
                (click)="muteUnmute()"
                [ngClass]="{ 'active-chat': streamStatus.audio }"
                *ngIf="devices.audio.length"
                href="javascript:void(0)"
                class="cmn-transition2"
                title="Mic ON/OFF"
              >
                <img
                  alt=""
                  src="assets/images/theatre-mic-white.png"
                  *ngIf="streamStatus.audio"
                />
                <img
                  alt=""
                  src="assets/images/theatre-mic-white-mute.png"
                  *ngIf="!streamStatus.audio"
                />
              </a>
              <a
                *ngIf="countRemote"
                (click)="showMiniChat()"
                href="javascript:void(0);"
                class="cmn-transition2 chat-window"
                title="Chat Window Show/Hide"
              >
                <img src="assets/images/message-white.png" alt="" />
                <div *ngIf="unreadMessageCount" class="msgCount">
                  {{ unreadMessageCount }}
                </div>
              </a>
              <a
                *ngIf="countRemote"
                (click)="groupCallShowHide()"
                href="javascript:void(0);"
                class="cmn-transition2 last-child group-toggle active-chat"
                title="Users Show/Hide "
              >
                <img
                  alt=""
                  src="assets/images/icon-multiple-users-silhouette.png"
                />
              </a>
            </div>
          </div>

          <div class="userInfoBar">
            <div class="ml-auto btn-copy-url">
              <div
                href="javascript:void(0)"
                (click)="copyButtonText = 'Copy Url'"
                onclick="$('.copy-link').slideToggle();$('.call-quality,.cmn-setting-list').slideUp();"
                class="cmn-transition cstm-pointer cmn-setting d-flex"
                title="click to copy Room Link"
                style="z-index: 4;"
              >
                <div class="copy-link" style="display: none;">
                  <a (click)="copyUrl()" href="javascript:void(0)">{{
                    copyButtonText
                  }}</a>
                </div>
                <a href="javascript:void(0)" title="Copy room link">
                  <i class="text-white fa fa-link fa-2x"></i
                ></a>
              </div>
            </div>
            <div
              class="userOnlineCount"
              *ngIf="streams.length"
              title="Members Online"
            >
              <i class="fa fa-user-o" aria-hidden="true"></i>
              <span>{{ countRemote + 1 }}</span>
            </div>
            <button class="btn btn-gallery" (click)="toggleGalary()">
              {{ isGalleryView ? "Gallery View" : "Grid View" }}
            </button>
          </div>

          <div
            *ngIf="streams.length && isGalleryView"
            id="call-group-user"
            class="fixed-layout zIndexThree"
          >
            <div class="gallery-layout">
              <div
                class="gallery-item"
                *ngFor="let stream of streams; let i = index"
              >
                <div
                  class="gallery-content"
                  [class.bordered]="stream.id === speakerId"
                >
                  <div class="gallery-thumb">
                    <img
                      (click)="
                        !(
                          stream.type == 'local' &&
                          stream.data.firststreamid != stream.id
                        ) && moveLarge(stream.id)
                      "
                      [hidden]="stream.data.streamStatus[stream.id].video"
                      [src]="stream.data.profilePath"
                      class="thumb"
                      alt=""
                    />

                    <video
                      (click)="
                        stream.type == 'local' &&
                        stream.data.firststreamid != stream.id
                          ? ''
                          : moveLarge(stream.id)
                      "
                      [hidden]="!stream.data.streamStatus[stream.id].video"
                      [muted]="stream.type == 'local'"
                      [id]="stream.id"
                      [srcObject]="stream"
                      playsinline="true"
                      [controls]="false"
                      autoplay
                      loop
                      class="thumb"
                    ></video>

                    <div class="gallery-caption">
                      <div class="gallery-user-name">
                        <a class="group-user-name">
                          {{ getDisplayname(stream) }}
                        </a>
                        <i
                          class="fa fa-pencil edit-name"
                          *ngIf="stream.userId == sessionUser.userId"
                        ></i>
                      </div>
                      <div class="galllery-icon">
                        <a
                          *ngIf="!stream.data.streamStatus[stream.id].audio"
                          href="javascript:void(0);"
                          class="ml-1 cursor-default"
                          title="Audio Mute"
                        >
                          <img
                            src="assets/images/theatre-mic2-white.png"
                            width="15"
                            height="15"
                            alt=""
                          />
                        </a>
                        <a
                          *ngIf="!stream.data.streamStatus[stream.id].video"
                          href="javascript:void(0);"
                          class="ml-1 cursor-default"
                          title="Video Pause"
                          ><img
                            src="assets/images/icon-camra-white.png"
                            alt=""
                          />
                        </a>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="screen-data">
          <div
            class="d-flex screen-data-header align-items-center justify-content-between"
          >
            <h2>Stats Data</h2>
            <div
              class="close"
              id="close-screen-data"
              (click)="hideStatistics()"
            >
              x
            </div>
          </div>

          <div class="data-list">
            <div class="user" *ngFor="let statistic of statisticsArr">
              <h3>{{ statistic.name }}</h3>
              <ul class="list-unstyled category">
                <h4>Audio</h4>
                <li
                  class="d-flex justify-content-between align-items-center"
                  [hidden]="statistic.audioOutputLevel == 'NA'"
                >
                  <div class="label">audioOutputLevel</div>
                  <div class="label-txt">{{ statistic.audioOutputLevel }}</div>
                </li>
                <li
                  class="d-flex justify-content-between align-items-center"
                  [hidden]="statistic.codecs.audio.send == 'NA'"
                >
                  <div class="label">googCodecName Local</div>
                  <div class="label-txt">{{ statistic.codecs.audio.send }}</div>
                </li>
                <li
                  class="d-flex justify-content-between align-items-center"
                  [hidden]="statistic.codecs.audio.rec == 'NA'"
                >
                  <div class="label">googCodecName Remote</div>
                  <div class="label-txt">{{ statistic.codecs.audio.rec }}</div>
                </li>
                <li>
                  <div class="label">Bytes Sent Per seconds</div>
                  <ul class="list-unstyled sub-category">
                    <li
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="label">Sent</div>
                      <div class="label-txt">
                        {{ statistic.bytesSentAudio_ps }}
                      </div>
                    </li>
                    <li
                      class="d-flex justify-content-between align-items-center"
                      [hidden]="statistic.packetsLostSentAudio_ps == 'NA'"
                    >
                      <div class="label">Packet Lost</div>
                      <div class="label-txt">
                        {{ statistic.packetsLostSentAudio_ps }}
                      </div>
                    </li>
                  </ul>
                </li>
                <li>
                  <div class="label">Bytes Receive Per seconds</div>
                  <ul class="list-unstyled sub-category">
                    <li
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="label">Receive</div>
                      <div class="label-txt">
                        {{ statistic.bytesReceivedAudio_ps }}
                      </div>
                    </li>
                    <li
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="label">Packet Lost</div>
                      <div class="label-txt">
                        {{ statistic.packetsLostRecAudio_ps }}
                      </div>
                    </li>
                  </ul>
                </li>
              </ul>
              <ul class="list-unstyled">
                <h4>Video</h4>
                <li
                  class="d-flex justify-content-between align-items-center"
                  [hidden]="statistic.codecs.video.send == 'NA'"
                >
                  <div class="label">googCodecName Local</div>
                  <div class="label-txt">{{ statistic.codecs.video.send }}</div>
                </li>
                <li
                  class="d-flex justify-content-between align-items-center"
                  [hidden]="statistic.codecs.video.rec == 'NA'"
                >
                  <div class="label">googCodecName Remote</div>
                  <div class="label-txt">{{ statistic.codecs.video.rec }}</div>
                </li>
                <li>
                  <div class="label">Bytes Sent Per seconds</div>
                  <ul class="list-unstyled sub-category">
                    <li
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="label">Sent</div>
                      <div class="label-txt">
                        {{ statistic.bytesSentVideo_ps }}
                      </div>
                    </li>
                    <li
                      class="d-flex justify-content-between align-items-center"
                      [hidden]="statistic.packetsLostSentVideo_ps == 'NA'"
                    >
                      <div class="label">Packet Lost</div>
                      <div class="label-txt">
                        {{ statistic.packetsLostSentVideo_ps }}
                      </div>
                    </li>
                  </ul>
                </li>
                <li>
                  <div class="label">Bytes Receive Per seconds</div>
                  <ul class="list-unstyled sub-category">
                    <li
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="label">Receive</div>
                      <div class="label-txt">
                        {{ statistic.bytesReceivedVideo_ps }}
                      </div>
                    </li>
                    <li
                      class="d-flex justify-content-between align-items-center"
                    >
                      <div class="label">Packet Lost</div>
                      <div class="label-txt">
                        {{ statistic.packetsLostRecVideo_ps }}
                      </div>
                    </li>
                  </ul>
                </li>
              </ul>
              <ul class="list-unstyled">
                <h4>Connection Information</h4>
                <li class="d-flex justify-content-between align-items-center">
                  <div class="label">googLocalCandidateType</div>
                  <div class="label-txt">
                    {{ statistic.connectionType.local.candidateType }}
                  </div>
                </li>
                <li class="d-flex justify-content-between align-items-center">
                  <div class="label">googRemoteCandidateType</div>
                  <div class="label-txt">
                    {{ statistic.connectionType.remote.candidateType }}
                  </div>
                </li>
                <li class="d-flex justify-content-between align-items-center">
                  <div class="label">googTransportType Local</div>
                  <div class="label-txt">
                    {{ statistic.connectionType.local.transport }}
                  </div>
                </li>
                <li class="d-flex justify-content-between align-items-center">
                  <div class="label">googTransportType Remote</div>
                  <div class="label-txt">
                    {{ statistic.connectionType.remote.transport }}
                  </div>
                </li>
                <li class="d-flex justify-content-between align-items-center">
                  <div class="label">Ice Server Local</div>
                  <div class="label-txt">
                    {{ statistic.connectionType.local.iceServer }}
                  </div>
                </li>
                <li class="d-flex justify-content-between align-items-center">
                  <div class="label">Ice Server Remote</div>
                  <div class="label-txt">
                    {{ statistic.connectionType.remote.iceServer }}
                  </div>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div
          [ngClass]="{ 'full-screen-visible': isChatWidow }"
          class="col-12 col-md-4 left-bar full-screen-group-right"
        >
          <div class="d-flex flex-column chat-flex-sm" style="height: 100%;">
            <div class="chat-header d-md-none d-flex align-items-center">
              <div
                class="back-icon d-flex align-items-center justify-content-center"
              >
                <a (click)="showMiniChat()" href="javascript:void(0);"
                  ><i class="fa fa-arrow-left"></i
                ></a>
              </div>
              <div class="room-info">
                <div class="room-name">Room name: {{ roomName }}</div>
                <div class="members-info" *ngIf="streams.length">
                  {{ countRemote + 1 }} member{{ countRemote ? "s" : "" }}
                  online
                </div>
              </div>
            </div>
            <!--Chat Section-->
            <!-- {{messages | json}} -->
            <div
              class="chat-section chat-scroll scrollBottom"
              #scrollMe
              [scrollTop]="scrollMe.scrollHeight"
            >
              <ul class="messages">
                <li
                  *ngFor="let message of messages"
                  [ngClass]="{
                    right: message.from == sessionUser.userId,
                    left: message.from != sessionUser.userId
                  }"
                  class="message"
                >
                  <div
                    *ngIf="message.from == sessionUser.userId"
                    class="d-flex align-items-top flex-row-reverse"
                  >
                    <div class="text_wrapper">
                      <div *ngIf="message.type == 'file'" class="text">
                        <a
                          class="no-decoration"
                          [href]="sanitize(message.message)"
                          download="{{ message.filename }}"
                          target="_blank"
                          >click here to download {{ message.filename }}</a
                        >
                      </div>
                      <div *ngIf="message.type == 'text'" class="text">
                        <span>{{ message.message }}</span>
                      </div>
                      <div class="clearfix"></div>
                      <div class="time text-right">
                        {{ message.created_at | date: "shortTime" }}
                      </div>
                    </div>
                  </div>

                  <div
                    *ngIf="message.from != sessionUser.userId"
                    class="d-flex align-items-top"
                  >
                    <div class="rounded-circle">
                      <img
                        [src]="message.profilePath"
                        alt=""
                        class="user-chat-img"
                      />
                      <!-- <span class="status-away">&nbsp;</span> -->
                    </div>
                    <div class="text_wrapper">
                      <div *ngIf="message.type == 'file'" class="text">
                        <a
                          [href]="sanitize(message.message)"
                          download="{{ message.filename }}"
                          target="_blank"
                          >click here to download {{ message.filename }}</a
                        >
                      </div>
                      <div *ngIf="message.type == 'text'" class="text">
                        <span>{{ message.message }}</span>
                      </div>
                      <div class="time">
                        <span class="capitalize">{{ message.name }}</span>
                        <span class="pipe">|</span
                        >{{ message.created_at | date: "shortTime" }}
                      </div>
                    </div>
                  </div>
                </li>
              </ul>
              <ul class="emlist" style="display: none;">
                <a onclick="$('.emlist').slideUp();"
                  ><i class="fa fa-close"></i
                ></a>
                <li *ngFor="let emlist of emojiList">
                  <span
                    (click)="insertEmoji(emlist.emoji)"
                    [innerHTML]="emlist.emoji"
                  ></span>
                </li>
              </ul>
              <div class="text typing-text" *ngIf="typingUserList">
                {{ typingUserList }} is typing
                <span></span>
                <span></span>
                <span></span>
              </div>
            </div>
            <!--Footer Section-->
            <div class="card-footer mt-auto">
              <div class="chat-form">
                <form
                  (keyup.enter)="keyDownFunction($event)"
                  class="form-style3"
                  form
                  role="form"
                  [formGroup]="msgStrForm"
                  (ngSubmit)="sendMessage(msgStrForm.value)"
                  novalidate
                >
                  <div class="row">
                    <div class="col-10">
                      <textarea
                        #txtPos
                        [(ngModel)]="msgStrng"
                        [formControl]="msgStrForm.controls['msgStr']"
                        id="sendMessageText"
                        placeholder="Type a message here..."
                        class="form-control"
                        (keyup)="getTextPos(txtPos)"
                        (click)="getTextPos(txtPos)"
                      ></textarea>
                    </div>
                    <div class="col-2">
                      <div class="chat-btn-group">
                        <a class="btn btn-clear" href="javascript:void(0)">
                          <img
                            src="assets/images/icon-send.png"
                            (click)="sendMessage($event)"
                            alt=""
                          />
                        </a>
                      </div>
                    </div>
                  </div>
                </form>
                <progress
                  id="sendProgress"
                  max="{{ sendProgrss.max }}"
                  value="{{ sendProgrss.value }}"
                  style="width: 100%; display: none;"
                ></progress>
                <progress
                  id="receiveProgress"
                  max="{{ receiveProgrss.max }}"
                  value="{{ receiveProgrss.value }}"
                  style="width: 100%; display: none;"
                ></progress>
                <input
                  type="file"
                  id="idInpuFile"
                  (change)="handleInputFile($event)"
                  #file
                  style="display: none;"
                />
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </main>

  <!-- <div *ngIf="streams.length && isGalleryView" id="call-group-user" class="fixed-layout" >
    <div class="gallery-layout">
      <div
        class="gallery-item"
        *ngFor="let stream of streams; let i = index"
      >
        <div class="gallery-content" [class.bordered]="stream.id === speakerId">
          <div class="gallery-thumb">

            <img
              (click)="
                !(stream.type == 'local' && stream.data.firststreamid != stream.id) && moveLarge(stream.id)
              "
              [hidden]="stream.data.streamStatus[stream.id].video"
              [src]="stream.data.profilePath"
              class="thumb"
              alt=""
            />

            <video
              (click)="
                stream.type == 'local' &&
                stream.data.firststreamid != stream.id
                  ? ''
                  : moveLarge(stream.id)
              "
              [hidden]="!stream.data.streamStatus[stream.id].video"
              [muted]="stream.type == 'local'"
              [id]="stream.id"
              [srcObject]="stream"
              playsinline="true"
              [controls]="false"
              autoplay
              loop
              class="thumb"
            ></video>

            <div class="gallery-caption">
              <div class="gallery-user-name">
                <a class="group-user-name">
                  {{ getDisplayname(stream) }}
                </a>
              </div>
              <div class="galllery-icon">
                <a
                *ngIf="!stream.data.streamStatus[stream.id].audio"
                  href="javascript:void(0);"
                  class="ml-1 cursor-default"
                  title="Audio Mute"
                >
                  <img
                    src="assets/images/theatre-mic2-white.png"
                    width="15"
                    height="15"
                    alt=""
                  />
                </a>
                <a
                  *ngIf="!stream.data.streamStatus[stream.id].video"
                  href="javascript:void(0);"
                  class="ml-1 cursor-default"
                  title="Video Pause"
                  ><img src="assets/images/icon-camra-white.png" alt="" />
                </a>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div> -->
</div>

<!-- Extens not found -->
<div
  id="screenPluginModal"
  class="modal fade dropdown-1 get-extension cmn-modal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header d-flex align-items-center">
        <div class="cmn-heading2">Screens Sharing Extension Not Found</div>
        <a class="close" data-dismiss="modal" aria-label="Close">
          <img src="assets/images/icon-close.png" alt="" />
        </a>
      </div>
      <div class="modal-body">
        <div class="chat-align search-list">
          <div class="row">
            <div class="col-sm-12">
              <div class="para-1">
                To share the screen ‘Screen Sharing Extension' is required. Once
                you have installed refresh your browser and click the share
                screen again.
              </div>
            </div>
          </div>
        </div>
        <div class="chat-align">
          <div class="row">
            <div class="col-sm-12 text-center">
              <a
                href="https://chrome.google.com/webstore/detail/biztalk-screen-sharing/djohcgcekepibiafpaaffmldhimiggmb"
                target="_blank"
                class="btn btn-primary d-block d-md-inline-block btn-styl1"
                >Get the Extension</a
              >
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>

<!--Screen Share Error -->
<div
  id="screenErrorModal"
  class="modal fade dropdown-1 get-extension cmn-modal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header d-flex align-items-center">
        <div class="cmn-heading2">{{ screenShareModal.title }}</div>
        <a class="close" data-dismiss="modal" aria-label="Close">
          <img src="assets/images/icon-close.png" alt="" />
        </a>
      </div>
      <div class="modal-body">
        <div class="chat-align search-list">
          <div class="row">
            <div class="col-sm-12">
              <div class="para-1">{{ screenShareModal.description }}</div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- Device switching modal -->
<div
  id="deviceSwitchModal"
  class="modal fade dropdown-1 user-busy cmn-modal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header d-flex align-items-center">
        <div class="cmn-heading2">Switch Device</div>
        <a class="close" data-dismiss="modal" aria-label="Close">
          <img src="assets/images/icon-close.png" alt="" />
        </a>
      </div>
      <div class="modal-body">
        <!-- <form class="form-style2"> -->
        <div class="chat-align">
          <div class="row align-items-center">
            <div class="col-sm-12">
              <div class="form-group">
                <div class="input-group">
                  <span class="input-group-btn">
                    <button class="btn btn-secondary search-btn" type="button">
                      <i class="fa fa-volume-up" aria-hidden="true"></i>
                    </button>
                  </span>
                  <select [(ngModel)]="selected.audio" class="form-control">
                    <option
                      *ngFor="let device of devices.audio; let i = index"
                      [ngValue]="device.value"
                      >{{ device.label ? device.label : "device-" + i }}</option
                    >
                  </select>
                </div>
              </div>
            </div>
          </div>
          <div class="row align-items-center">
            <div class="col-sm-12">
              <div class="form-group">
                <div class="input-group">
                  <span class="input-group-btn">
                    <button class="btn btn-secondary search-btn" type="button">
                      <i class="fa fa-video-camera" aria-hidden="true"></i>
                    </button>
                  </span>
                  <select [(ngModel)]="selected.video" class="form-control">
                    <option
                      *ngFor="let device of devices.video; let i = index"
                      [ngValue]="device.value"
                      >{{ device.label ? device.label : "device-" + i }}</option
                    >
                  </select>
                </div>
              </div>
            </div>
          </div>
        </div>
        <div class="chat-align">
          <div class="row btn-grp">
            <div class="col-sm-12 text-right">
              <button
                type="submit"
                class="btn btn-1 cmn-transition btn-primary"
                (click)="deviceSwitch(); $event.stopPropagation(); (false)"
              >
                Switch Device
              </button>
              <button
                type="submit"
                class="btn btn-2 canceldropdown cmn-transition btn-primary"
                data-dismiss="modal"
                aria-label="Close"
              >
                Cancel
              </button>
            </div>
          </div>
        </div>
        <!-- </form> -->
      </div>
    </div>
  </div>
</div>
<section class="copereight">
  <div class="container-fluid">
    <div class="row">
      <p class="mx-auto">
        Copyright &copy; {{ year }} Talkroom.io, All rights
        reserved.&nbsp;&nbsp;|&nbsp;&nbsp;Website developed by
        <a
          href="https://www.galaxyweblinks.com"
          target="_blank"
          class="ml-2 company-logo"
          ><img src="assets/images/logo-2.png" /></a
        >&nbsp;&nbsp;|&nbsp;&nbsp;{{ buildVersion }}
      </p>
    </div>
  </div>
</section>

<!-- set username modal -->
<div
  id="UserNameModal"
  class="modal fade dropdown-1"
  tabindex="-1"
  role="dialog"
  aria-labelledby="UserNameModal"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <form
        class=""
        form
        role="form"
        [formGroup]="UserNameControlForm"
        (ngSubmit)="setuserName('ok')"
        novalidate
      >
        <div class="modal-header">
          <h4 class="modal-title">
            <i class="fa fa-user" aria-hidden="true"></i> Display name
          </h4>
        </div>
        <div class="modal-body">
          <div class="input-group">
            <input
              [formControl]="UserNameControlForm.controls['username']"
              maxlength="50"
              [(ngModel)]="modalusername"
              name="username"
              type="text"
              class="form-control"
              placeholder="Enter your name"
              [ngClass]="
                UserNameControlForm.controls['username'].hasError('required') ||
                UserNameControlForm.controls['username'].hasError(
                  'validateAlphabetWtihSpace_n_Dash'
                )
                  ? 'error-msg'
                  : ''
              "
            />
          </div>

          <span
            class="error-msg-text"
            *ngIf="
              UserNameControlForm.controls['username'].hasError('required')
            "
            ><strong>Name is required</strong></span
          >
          <span
            class="error-msg-text"
            *ngIf="
              UserNameControlForm.controls['username'].hasError(
                'validateAlphabetWtihSpace_n_Dash'
              ) &&
              !UserNameControlForm.controls['username'].hasError('required')
            "
            ><strong>special characters are not allowed</strong></span
          >
        </div>
        <div class="modal-footer">
          <button
            [disabled]="!UserNameControlForm.valid"
            type="submit"
            class="btn btn-1 btn-success"
            data-dismiss="modal"
            (click)="setuserName('ok')"
          >
            Ok
          </button>
          <button
            type="button"
            class="btn btn-2 btn-default"
            data-dismiss="modal"
            (click)="setuserName('close')"
          >
            Close
          </button>
        </div>
      </form>
    </div>
  </div>
</div>

<!-- end call confirmation modal -->
<div
  id="EndCallConfirmModal"
  class="modal fade dropdown-1 videoModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="EndCallConfirmModal"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">End Call</h4>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
          (click)="startVideoCall(false)"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p class="text-center">
          Are you sure! you want to <b>END</b> this Call?
        </p>
      </div>
      <div class="modal-footer">
        <button
          class="btn btn-1 btn-primary"
          data-dismiss="modal"
          (click)="closeRoom()"
        >
          Yes
        </button>
        <button class="btn btn-2 btn-default" data-dismiss="modal">No</button>
      </div>
    </div>
  </div>
</div>

<!-- Error popup -->
<div
  id="errorPopup"
  class="modal fade dropdown-1 videoModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="errorPopup"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Warning</h4>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
          (click)="startVideoCall(false)"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p class="text-center">{{ errorPopupMsg }}</p>
      </div>
      <div class="modal-footer">
        <button
          *ngIf="navigateTo"
          class="btn btn-default"
          data-dismiss="modal"
          routerLink="{{ navigateTo }}"
        >
          Ok
        </button>
        <button
          *ngIf="!navigateTo"
          class="btn btn-default"
          data-dismiss="modal"
        >
          Ok
        </button>
      </div>
    </div>
  </div>
</div>

<!-- Video Call confirmation modal -->
<div
  id="VideoCallConfirmModal"
  class="modal fade dropdown-1 videoModal"
  tabindex="-1"
  role="dialog"
  aria-labelledby="VideoCallConfirmModal"
  aria-hidden="true"
>
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">Video Call</h4>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
          (click)="startVideoCall(false)"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p class="mb-0">Do you want to turn-on Video?</p>
      </div>
      <div class="modal-footer align-center">
        <button
          class="btn btn-1 btn-primary"
          data-dismiss="modal"
          (click)="startVideoCall(true)"
        >
          Yes
        </button>
        <button
          class="btn btn-2 btn-default"
          data-dismiss="modal"
          (click)="startVideoCall(false)"
        >
          No
        </button>
      </div>
    </div>
  </div>
</div>
